<?php

/*
1 убить пса 			- 2 часа 	- level: 1
2 убить 3 кровососа 	- 24 часа	- level: 20
3 убить псевдогиганта 	- 48 часов	- level: проверка на клан
4 убить 150 мутантов 	- 7 часов	- level: 1
5 убить плоть 	- 7 часов	- level: 10


current_quest = 0 1 2 3 4 5
if($current_quest > 0) сначала выполните текущее задание.







*/
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if((!isset($_SESSION['id'])) AND (!isset($_SESSION['nick']))) { ?> <script type="text/javascript"> document.location.href = "reg.php?err_login=1"; </script> <? } ?>

<?php
$page_title = 'Шустрый';
require_once('conf/head.php');

if((isset($_SESSION['id'])) and (isset($_SESSION['nick']))) require_once('conf/top.php');

?>

<div id="main">
<center><div class="stats"><p class="name2">Шустрый</p></center>

<?php
$type = abs(intval($_GET['type']));
if($type < 0 || $type > 5) $type = 0;
?>


<div class="stats">
<p><img src="img/ico/Шустрый.png"/></p>
</div>
<div class="stats">
<p class="net"> - Проходи сталкер. Заработать не желаешь?<br/> - Есть тут пару заданий для тебя... посмотри..</p>


<div class="stats">
<div class="stats"><center><p class="name">Задания на сегодня:</p></center>
<p><img src="img/ico2/p1.gif" width="12" height="12"/> <a style="text-decoration:none;" <?php if ($type == 1) {?>class="white"<?php } ?> href="quests.php?type=1">Убить слепого пса [ с 1 уровня ]</a>;</p>
<p><img src="img/ico2/p1.gif" width="12" height="12"/> <a style="text-decoration:none;" <?php if ($type == 2) {?>class="white"<?php } ?> href="quests.php?type=2">Убить 3 кровососа [ с 20 уровня ]</a>;</p>
<p><img src="img/ico2/p1.gif" width="12" height="12"/> <a style="text-decoration:none;" <?php if ($type == 3) {?>class="white"<?php } ?> href="quests.php?type=3">Убить псевдогиганта [ нужно состоять в клане ]</a>;</p>
<p><img src="img/ico2/p1.gif" width="12" height="12"/> <a style="text-decoration:none;" <?php if ($type == 4) {?>class="white"<?php } ?> href="quests.php?type=4">Убить 150 мутантов [ с 1 уровня ]</a>;</p>
<p><img src="img/ico2/p1.gif" width="12" height="12"/> <a style="text-decoration:none;" <?php if ($type == 5) {?>class="white"<?php } ?> href="quests.php?type=5">Убить плоть [ с 10 уровня ]</a>;</p>

<br/>
<p class="zx"></p>
  <?php
$user_id = abs(intval($_SESSION['id']));
$query = "SELECT `lvl`, `aptechki`, `opit`, `habar`, `zadaniya`, `antirad`, `current_quest`, `clan`, `quest1`, `quest2`, `quest3`, `quest4` , `quest5` FROM `users` WHERE `id` = '$user_id' LIMIT 1";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$row = mysqli_fetch_array($result);
$lvl = $row['lvl'];
$zadaniya = $row['zadaniya'];
$quest = $row['current_quest'];
$quest1 = $row['quest1'];
$quest2 = $row['quest2'];
$quest3 = $row['quest3'];
$quest4 = $row['quest4'];
$quest5 = $row['quest5'];
$aptechki = $row['aptechki'];
$antirad = $row['antirad'];
$opit = $row['opit'];
$habar = $row['habar'];

function getNameQuest($nQuest)
{
	if($nQuest == 1) $questStr = "убить слепого пса";
	else if($nQuest == 2) $questStr = "убить 3 кровососа";	
	else if($nQuest == 3) $questStr = "убить псевдогиганта";	
	else if($nQuest == 4) $questStr = "убить 150 мутантов";
        else if($nQuest == 5) $questStr = "убить плоть";
	return $questStr;
}

if($quest > 0)
{
	echo "Ваше текущее задание: ".getNameQuest($quest);
	echo '<br><a style="text-decoration:none;" href="/quests.php?cancelquest='. $quest. '"><font color=red>[ Прекратить выполнение задания ]</font></a><br/><hr/>';
}

if($_GET['cancelquest'])
{
	if($quest == 1) $squery = "UPDATE `users` SET `current_quest` = '0', `zadaniya` = '$zadaniya', `antirad` = '$antirad', `quest1` = '-1' WHERE `id` = '$user_id' LIMIT 1";
	else if($quest == 2) $squery = "UPDATE `users` SET `current_quest` = '0', `quest2` = '-1' WHERE `id` = '$user_id' LIMIT 1";
	else if($quest == 3) $squery = "UPDATE `users` SET `current_quest` = '0', `quest3` = '-1' WHERE `id` = '$user_id' LIMIT 1";
	else if($quest == 4) $squery = "UPDATE `users` SET `current_quest` = '0', `quest4` = '-1' WHERE `id` = '$user_id' LIMIT 1";
        else if($quest == 5) $squery = "UPDATE `users` SET `current_quest` = '0', `quest5` = '-1' WHERE `id` = '$user_id' LIMIT 1";
	if(mysqli_query($dbc, $squery)) echo "Вы прекратили выполнение задания \"". getNameQuest($quest). "\".";
	else echo 'Ошибка передачи запроса к БД';
}
else if($_GET['takeaward'])
{
	if(!$quest) echo "Вы еще на взяли никакого задания на выполнение.";
	else if($quest == 1)
	{
		if($quest1 < 1) echo "Чтобы забрать награду, нужно убить слепого пса.";
		else 
		{
			$aptechki = $aptechki+5;
                        $zadaniya = $zadaniya+1;
			$squery = "UPDATE `users` SET `aptechki` = '$aptechki', `zadaniya` = '$zadaniya', `current_quest` = '0', `quest1` = '-1' WHERE `id` = '$user_id' LIMIT 1";
if(mysqli_query($dbc, $squery)) echo "<font color=green>Вы выполнили задание \"убить слепого пса\".</font><br><b>Ваша награда: Аптечки[5].</b>";
			else echo 'Ошибка передачи запроса к БД';
		}
	}
	else if($quest == 2)
	{
		if($quest2 < 3) echo "Чтобы забрать награду, нужно убить 3 кровососа, вы убили только ". $quest2. ".";
		else 
		{
			$opit = $opit+100000;
                       $zadaniya = $zadaniya+1;
			$squery = "UPDATE `users` SET `opit` = '$opit', `current_quest` = '0',  `zadaniya` = '$zadaniya',`quest2` = '-1' WHERE `id` = '$user_id' LIMIT 1";
			if(mysqli_query($dbc, $squery)) echo "<font color=green>Вы выполнили задание \"убить 3 кровососа\".</font><br><b>Ваша награда: Опыт[1000.0].</b>";
			else echo 'Ошибка передачи запроса к БД';
		}	
	}
	else if($quest == 3)
	{
		if($quest3 < 1) echo "Чтобы забрать награду, нужно убить псевдогиганта.";
		else 
		{
			$opit = $opit+2000000;

                         $zadaniya = $zadaniya+1;
			$squery = "UPDATE `users` SET `opit` = '$opit', `current_quest` = '0',  `zadaniya` = '$zadaniya',`quest3` = '-1' WHERE `id` = '$user_id' LIMIT 1";
			if(mysqli_query($dbc, $squery)) echo "<font color=green>Вы выполнили задание \"убить псевдогиганта\".</font><br><b>Ваша награда: Опыт[20000.0].</b>";

			else echo 'Ошибка передачи запроса к БД';
		}	
	}
	else if($quest == 4)
	{
		if($quest4 < 150) echo "Чтобы забрать награду, нужно убить 150 мутантов, вы убили только ". $quest4. ".";
		else 
		{
			$habar = $habar+20000;
                           $zadaniya = $zadaniya+1;
			$squery = "UPDATE `users` SET `habar` = '$habar', `zadaniya` = '$zadaniya', `current_quest` = '0', `quest4` = '-1' WHERE `id` = '$user_id' LIMIT 1";
			if(mysqli_query($dbc, $squery)) echo "<font color=green>Вы выполнили задание \"убить 150 мутантов\".</font><br><b>Ваша награда: Хабар[20.000].</b>";
			else echo 'Ошибка передачи запроса к БД';
		}	
          }
	else if($quest == 5)
	{
		if($quest5 < 1) echo "Чтобы забрать награду, нужно убить 1 плоть.";
		else 
		{
			$antirad = $antirad+5;
                           $zadaniya = $zadaniya+1;
			$squery = "UPDATE `users` SET `antirad` = '$antirad', `zadaniya` = '$zadaniya', `current_quest` = '0', `quest5` = '-1' WHERE `id` = '$user_id' LIMIT 1";
			if(mysqli_query($dbc, $squery)) echo "<font color=green>Вы выполнили задание \"убить плоть\".</font><br><b>Ваша награда: 5 антирадов.</b>";
			else echo 'Ошибка передачи запроса к БД';
		}	
	}
}
else if($_GET['takequest'])
{
	echo '<div class="stats">';
	if($quest == $_GET['takequest']) echo "Вы уже выполняете это задание.";
	else if($quest > 0) echo "Чтобы взять это задание, прекратите выполнение вашего текущего задания.";
	else 
	{
$nq = abs(intval($_GET['takequest']));
		if($nq == 1) $squery = "UPDATE `users` SET `current_quest` = '$nq', `quest1` = '0' WHERE `id` = '$user_id' LIMIT 1";
		else if($nq == 2) $squery = "UPDATE `users` SET `current_quest` = '$nq', `quest2` = '0' WHERE `id` = '$user_id' LIMIT 1";
		else if($nq == 3) $squery = "UPDATE `users` SET `current_quest` = '$nq', `quest3` = '0' WHERE `id` = '$user_id' LIMIT 1";
		else if($nq == 4) $squery = "UPDATE `users` SET `current_quest` = '$nq', `quest4` = '0' WHERE `id` = '$user_id' LIMIT 1";
                else if($nq == 5) $squery = "UPDATE `users` SET `current_quest` = '$nq', `quest5` = '0' WHERE `id` = '$user_id' LIMIT 1";
		if(mysqli_query($dbc, $squery))
		{
			echo "Вы успешно взяли на выполнение задание<br/>\"". getNameQuest($nq). "\"";
			echo "<br/>Когда выполните задание, приходите за наградой.";
		}
		else echo 'Ошибка передачи запроса к БД';
	}
	
	echo '</div>';
}
else if($type == 1) {?>
	<div class="stats">
		<b>Информация о задании под названием <br/>"Убить слепого пса":</b>
		<p>
			<br/>Задание: Убить слепого пса.
			<br/>Награда: Аптечки[5].
			<br/>
			<?php 
			if($quest == 0) echo '<a style="text-decoration:none;" href="/quests.php?takequest=1"><font color=yellow>[ Выполнить задание ]</font></a>';
			else if($quest == 1) echo '<a style="text-decoration:none;" href="/quests.php?takeaward=1"><font color=green>[ Забрать награду ]</font></a>';
			else echo '<font color=grey><i>Чтобы взять это задание на выполнение, завершите которое уже взяли.</i></font>';
			?>
		</p>
		<br>
	</div>
<?php
} else if($type == 2) {?>
	<div class="stats">
		<b>Информация о задании под названием <br/>"Убить 3 кровососа":</b>
		<p>
		<?if($lvl >= 20)
		{ ?>		
			<br/>Задание: Убить 3 кровососа.
			<br/>Награда: Опыт[1000.0].
			<br/>
			<?php 
			if($quest == 0) echo '<a style="text-decoration:none;" href="/quests.php?takequest=2"><font color=yellow>[ Выполнить задание ]</font></a>';
			else if($quest == 2) echo '<a style="text-decoration:none;" href="/quests.php?takeaward=2"><font color=green>[ Забрать награду ]</font></a>';
			else echo '<font color=grey><i>Чтобы взять это задание на выполнение, завершите которое уже взяли.</i></font>';
		} else echo "<br/>Ваш уровень ниже 20.";
		?>			
		</p>
		<br>		
	</div>
<?php
} else if($type == 3) {?>
	<div class="stats">
		<b>Информация о задании под названием <br/>"Убить псевдогиганта":</b>
		<p>
		<? $clan = $row['clan']; 
		if($clan > 0)
		{ ?>
			<br/>Задание: Убить псевдогиганта.
			<br/>Награда: Опыт[3000.0].
			<br/>
			<?php
			if($quest == 0) echo '<a style="text-decoration:none;" href="/quests.php?takequest=3"><font color=yellow>[ Выполнить задание ]</font></a>';
			else if($quest == 3) echo '<a style="text-decoration:none;" href="/quests.php?takeaward=3"><font color=green>[ Забрать награду ]</font></a>';
			else echo '<font color=grey><i>Чтобы взять это задание на выполнение, завершите которое уже взяли.</i></font>';
		} else echo "<br/>Вы не состоите в клане.";
		?>
		</p>
		<br>		
	</div>
<?php
} else if($type == 4) {?>
	<div class="stats">
		<b>Информация о задании под названием <br/>"Убить 150 мутантов":</b>
		<p>
			<br/>Задание: Убить 150 мутантов.
			<br/>Награда: Хабар[20.000].
			<br/>
			<?php
			if($quest == 0) echo '<a style="text-decoration:none;" href="/quests.php?takequest=4"><font color=yellow>[ Выполнить задание ]</font></a>';
			else if($quest == 4) echo '<a style="text-decoration:none;" href="/quests.php?takeaward=4"><font color=green>[ Забрать награду ]</font></a>';
			else echo '<font color=grey><i>Чтобы взять это задание на выполнение, завершите которое уже взяли.</i></font>';
			?>
		</p>
		<br>	
</div>
<?php
} else if($type == 5) {?>
	<div class="stats">
		<b>Информация о задании под названием <br/>"Убить плоть":</b>
		<p>
			<br/>Задание: Убить плоть.
			<br/>Награда: антирад[5].
			<br/>
			<?php
			if($quest == 0) echo '<a style="text-decoration:none;" href="/quests.php?takequest=5"><font color=yellow>[ Выполнить задание ]</font></a>';
			else if($quest == 5) echo '<a style="text-decoration:none;" href="/quests.php?takeaward=5"><font color=green>[ Забрать награду ]</font></a>';
			else echo '<font color=grey><i>Чтобы взять это задание на выполнение, завершите которое уже взяли.</i></font>';
			?>
		</p>
		<br>	
	
<?}?>

<?php
require_once('conf/navig.php');
require_once('conf/foot.php');
?>
</body>
</html>